%global python2_sitelib /usr/lib/python2.7/site-packages
%define python_version 2.7
Name:           python2-setuptools
Version:        44.0.0
Release:        4%{?dist}
Summary:        Enhancements to distutils for building and distributing Python packages
License:        MIT
URL:            https://github.com/pypa/setuptools
Source:         https://files.pythonhosted.org/packages/source/s/setuptools/setuptools-%{version}.zip
Patch0:         sort-for-reproducibility.patch
Patch1:         importlib.patch
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
BuildRequires:	python2
# The dependency download feature may require SSL, which is in python3-base and python(2)
Requires:       python2
Requires(post): update-alternatives
Requires(postun): update-alternatives
Provides:       python-distribute = %{version}
Obsoletes:      python-distribute < %{version}
BuildArch:      noarch

%description
setuptools is a collection of enhancements to the Python distutils that
allow you to build and distribute Python packages,
especially ones that have dependencies on other packages.

%prep
%setup -q -n setuptools-%{version}
%autopatch -p1

# # strip shebangs to fix rpmlint warnings
sed -r -i '1s@^#!/.*$@@' setuptools/command/easy_install.py \
    pkg_resources/_vendor/appdirs.py

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root $RPM_BUILD_ROOT

# update-alternatives
mkdir -p %{buildroot}%{_bindir}
mv %{buildroot}%{_bindir}/easy_install{,-%{python_version}}
mkdir -p %{buildroot}%{_sysconfdir}/alternatives/
touch %{buildroot}%{_sysconfdir}/alternatives/easy_install
ln -sf %{_sysconfdir}/alternatives/easy_install \
    %{buildroot}%{_bindir}/easy_install

%post
%{_sbindir}/update-alternatives --install %{_bindir}/easy_install \
    easy_install %{_bindir}/easy_install-%{python_version} 27

%postun
if [ ! -f %{_bindir}/easy_install ] ; then
    %{_sbindir}/update-alternatives --remove easy_install %{_bindir}/easy_install-%{python_version}
fi

%files
%license LICENSE
%doc CHANGES.rst README.rst
%{_bindir}/easy_install*
%{python2_sitelib}/easy_install*
%{python2_sitelib}/setuptools
%{python2_sitelib}/setuptools-%{version}-py*.egg-info
%dir %{python2_sitelib}/pkg_resources
%{python2_sitelib}/pkg_resources/*
%ghost %_sysconfdir/alternatives/easy_install

%changelog
* Fri Dec 13 2024 Alexander Lushin <alexander.lushin@mail.ru> - 44.0.0-4
- Rebulit for el7
